# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django_logit import logit
from paginator import pagination

from account.models import UserInfo
from intro.models import IntroFavoriteInfo
from utils.error.errno_utils import ProfileStatusCode
from utils.error.response_utils import response


@logit
def intro_fav_api(request):
    user_id = request.POST.get('user_id', '')
    pk = int(request.POST.get('pk', 0))

    try:
        UserInfo.objects.get(user_id=user_id)
    except UserInfo.DoesNotExist:
        return response(ProfileStatusCode.PROFILE_NOT_FOUND)

    IntroFavoriteInfo.objects.get_or_create(
        user_id=user_id,
        content=pk,
    )

    return response(200, 'Intro Fav Success', u'说明书收藏成功')


@logit
def intro_fav_list_api(request):
    user_id = request.POST.get('user_id', '')
    page = int(request.POST.get('page', 1))
    num = int(request.POST.get('num', 10))

    favs = IntroFavoriteInfo.objects.filter(user_id=user_id, status=True)
    favs, left = pagination(favs, page, num)
    favs = [fav.data for fav in favs]
    favs = [fav for fav in favs if fav]

    return response(200, 'Get Intro Fav List Success', u'获取说明书收藏列表成功', {
        'favs': favs,
        'left': left,
    })
