# -*- coding: utf-8 -*-

from django.contrib import admin
from django_admin import AdvancedExportExcelModelAdmin

from support.models import MachineBackInfo, MachineBodyInfo, MachineSupportPrebookInfo


class MachineBodyInfoAdmin(admin.ModelAdmin):
    list_display = ('body', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )


class MachineBackInfoAdmin(admin.ModelAdmin):
    list_display = ('back', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )


class MachineSupportPrebookInfoAdmin(AdvancedExportExcelModelAdmin, admin.ModelAdmin):
    list_display = ('prebook_id', 'user_id', 'name', 'sex', 'phone', 'weekday', 'timeslice', 'body', 'back', 'handle_status', 'status', 'created_at', 'updated_at')
    list_filter = ('weekday', 'timeslice', 'body', 'back', 'handle_status', 'status')
    search_fields = ('prebook_id', 'user_id', 'name', 'phone', 'body', 'back')
    excel_fields_exclude = ('weekday',)
    extra_excel_fields = ('weekday',)

    def add_extra_excel_fields(self, request, query):
        return [[u'星期日', u'星期一', u'星期二', u'星期三', u'星期四', u'星期五', u'星期六'][query.weekday]]


admin.site.register(MachineBodyInfo, MachineBodyInfoAdmin)
admin.site.register(MachineBackInfo, MachineBackInfoAdmin)
admin.site.register(MachineSupportPrebookInfo, MachineSupportPrebookInfoAdmin)
